petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMGetPointSF

Get the PetscSF encoding the parallel section point overlap for the DM.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetPointSF(DM dm, PetscSF *sf)

### Input Parameter

dm -The DM

### Output Parameter

sf -The PetscSF

Note: This gets a borrowed reference, so the user should not destroy this PetscSF.

### See Also

DMSetPointSF(), DMGetDefaultSF(), DMSetDefaultSF(), DMCreateDefaultSF()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/ts/examples/tutorials/ex11.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages